MyGUI: MyGUI::SharedLayerNode Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::SharedLayerNode Class Reference

`#include <MyGUI_SharedLayerNode.h>`

Inheritance diagram for MyGUI::SharedLayerNode:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SharedLayerNode | RTTIBase
Public Types inherited from MyGUI::LayerNode
typedef RTTIBase | Base
typedef LayerNode | RTTIBase
Public Types inherited from MyGUI::ILayerNode
typedef RTTIBase | Base
typedef ILayerNode | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| SharedLayerNode (ILayer *_layer, ILayerNode *_parent=nullptr)
void | addUsing ()
void | removeUsing ()
size_t | countUsing () const
Public Member Functions inherited from MyGUI::LayerNode
template<typename Type>
bool | isType () const
| LayerNode (ILayer *_layer, ILayerNode *_parent=nullptr)
| ~LayerNode () override
ILayer * | getLayer () const override
ILayerNode * | getParent () const override
ILayerNode * | createChildItemNode () override
void | destroyChildItemNode (ILayerNode *_node) override
void | upChildItemNode (ILayerNode *_item) override
EnumeratorILayerNode | getEnumerator () const override
size_t | getLayerNodeCount () const override
ILayerNode * | getLayerNodeAt (size_t _index) const override
void | attachLayerItem (ILayerItem *_item) override
void | detachLayerItem (ILayerItem *_item) override
RenderItem * | addToRenderItem (ITexture *_texture, bool _firstQueue, bool _manualRender) override
void | outOfDate (RenderItem *_item) override
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
void | renderToTarget (IRenderTarget *_target, bool _update) override
void | resizeView (const IntSize &_viewSize) override
float | getNodeDepth () const override
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayerNode
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::LayerNode
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayerNode
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::LayerNode
void | updateCompression ()
RenderItem * | addToRenderItemFirstQueue (ITexture *_texture, bool _manualRender)
RenderItem * | addToRenderItemSecondQueue (ITexture *_texture, bool _manualRender)
Protected Attributes inherited from MyGUI::LayerNode
VectorRenderItem | mFirstRenderItems
VectorRenderItem | mSecondRenderItems
size_t | mLastNotEmptyItem {0}
VectorLayerItem | mLayerItems
VectorILayerNode | mChildItems
ILayerNode * | mParent
ILayer * | mLayer
bool | mOutOfDate {false}
bool | mOutOfDateCompression {false}
float | mDepth {0.0f}

## Detailed Description

Definition at line 16 of file MyGUI_SharedLayerNode.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::SharedLayerNode::Base

Definition at line 18 of file MyGUI_SharedLayerNode.h.

## ◆ RTTIBase

typedef SharedLayerNode MyGUI::SharedLayerNode::RTTIBase

Definition at line 18 of file MyGUI_SharedLayerNode.h.

## Constructor & Destructor Documentation

## ◆ SharedLayerNode()

MyGUI::SharedLayerNode::SharedLayerNode | ( | ILayer * | _layer,
|  | ILayerNode * | _parent = nullptr )
| explicit

Definition at line 13 of file MyGUI_SharedLayerNode.cpp.

## Member Function Documentation

## ◆ addUsing()

void MyGUI::SharedLayerNode::addUsing | ( |  | ) |

Definition at line 18 of file MyGUI_SharedLayerNode.cpp.

## ◆ countUsing()

size_t MyGUI::SharedLayerNode::countUsing | ( |  | ) | const

Definition at line 28 of file MyGUI_SharedLayerNode.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::SharedLayerNode::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 18 of file MyGUI_SharedLayerNode.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::SharedLayerNode::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::LayerNode.

Definition at line 18 of file MyGUI_SharedLayerNode.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::SharedLayerNode::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 18 of file MyGUI_SharedLayerNode.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SharedLayerNode::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::LayerNode.

Definition at line 18 of file MyGUI_SharedLayerNode.h.

## ◆ removeUsing()

void MyGUI::SharedLayerNode::removeUsing | ( |  | ) |

Definition at line 23 of file MyGUI_SharedLayerNode.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SharedLayerNode.h
- MyGUI_SharedLayerNode.cpp